%define srcname configparser

Name:           python-%{srcname}
Version:        3.7.4
Release:        %mkrel 3
Summary:        Backport of python3 configparser module to python 2.7 (and 2.6)
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/ambv/configparser
Source0:        http://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz

Requires:		python-backports
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This package is a backport of python3 configparser module to python 2.7 (and 2.6)


%package -n python3-%{srcname}
Summary:          python3 configparser module
Group:            Development/Python
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools


%description -n python3-%{srcname}
python3 configparser module

%prep
%setup -qn configparser-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd  %{py3dir}
%py3_build
popd

%install
%py2_install
pushd %{py3dir}
%py3_install
popd

rm -rf %{buildroot}/%{python_sitelib}/backports/__*.py*

%files
%{python_sitelib}/%{srcname}*
%{python_sitelib}/backports/%{srcname}/*

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}*
%{python3_sitelib}/backports/%{srcname}/*
%{python3_sitelib}/backports/__init__.py

%changelog
* Mon Aug 22 2022 tex - 3.7.4-3pclos2022
- rebuild against updates

* Sun Oct 06 2019 tex - 3.7.4-2pclos2019
- rebuild against updates

* Fri Oct 04 2019 tex - 3.7.4-1pclos2019
- update
